Livepush Developers

Destinations

List saved destinations

GET https://octopus.livepush.io/streams/me/destinations

Base URL https://octopus.livepush.io — Core Streams & Media APIs

Returns the list of saved streaming destinations owned by the authenticated user.

Saved destinations can be used for multistreaming and may include platforms such as YouTube, Facebook, or custom RTMP endpoints.

Authorization

Send a valid access token in the Authorization header.

  • bearerAuth — Bearer token (JWT)
headers.txt
Authorization: Bearer YOUR_API_TOKEN

Try it

GET https://octopus.livepush.io/streams/me/destinations — This call only reads data.

Code samples

request.sh
curl -X GET 'https://octopus.livepush.io/streams/me/destinations' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://octopus.livepush.io/streams/me/destinations', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
  },
});

if (!response.ok) {
  throw new Error(`Livepush API error ${response.status}`);
}

const data = await response.json();
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN',
}

response = requests.get('https://octopus.livepush.io/streams/me/destinations', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()

Responses

List of saved destinations

application/json

Array of StreamDestination.

  • id string
  • appName string
  • label string
  • rtmpBase string
  • oauth DestinationOAuthConfig
    • keepDefaultTitles boolean
    • titlesSource string
      originalstream-titlescustom
    • title string
    • description string
    • privacy string
    • autoStart boolean
    • autoStop boolean
    • rewind boolean
    • plannedStartTime string<date-time>
    • metadata object
    • userAppDetails object
  • updatedAt string<date-time>
  • isPinned boolean
  • isDisabled boolean
Example 200 response response.json
[
  {
    "id": "pb_xxxxxxxxx",
    "appName": "youtube",
    "label": "string",
    "rtmpBase": "string",
    "oauth": {
      "keepDefaultTitles": false,
      "titlesSource": "original",
      "title": "string",
      "description": "string",
      "privacy": "string",
      "autoStart": false,
      "autoStop": false,
      "rewind": false,
      "plannedStartTime": "2026-01-31T09:00:00.000Z",
      "metadata": {},
      "userAppDetails": {}
    },
    "updatedAt": "2026-01-31T09:00:00.000Z",
    "isPinned": false,
    "isDisabled": false
  }
]

Unauthorized